Bug 1771508 - Unable to assign Compliance policy to host from Satellite UI.
Summary: Unable to assign Compliance policy to host from Satellite UI.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: SCAP Plugin
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-12 14:00 UTC by Jameer Pathan
Modified: 2020-04-14 13:27 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman_openscap-2.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28259 Normal Closed Unable to assign Compliance policy to host in UI. 2020-10-06 09:09:29 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:20 UTC

Description Jameer Pathan 2019-11-12 14:00:14 UTC
Description of problem:
Unable to assign Compliance policy to host from Satellite UI.

Version-Release number of selected component (if applicable):
- Satellite 6.7.0 Snap 1
- tfm-rubygem-foreman_openscap-2.0.0-1.fm1_24.el7sat.noarch
- openscap-1.2.17-4.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Provision/have a Host.
2. Create a Compliance policy.
3. Go to Hosts > All Hosts Page.
4. Select a Host, click on 'Select Action' dropdown button.
5. Select 'Assign Compliance Policy' option from dropdown.
6. Choose Compliancy policy you want to assign to host.

Actual results:
- Submit button on 'Assign Compliance Policy' page is disabled.

Expected results:
- Submit button on 'Assign Compliance Policy' page should work.

Additional info:

Comment 5 Ondřej Pražák 2019-11-13 12:10:35 UTC
Created redmine issue https://projects.theforeman.org/issues/28259 from this bug

Comment 6 Bryan Kearney 2019-11-13 13:02:58 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 7 Bryan Kearney 2019-11-13 13:03:00 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 8 Bryan Kearney 2019-11-15 11:03:00 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28259 has been resolved.

Comment 9 Jameer Pathan 2019-12-05 07:56:40 UTC
Verified:

Verified on:
- Satellite 6.7.0 snap 4
- tfm-rubygem-foreman_openscap-2.0.2-1.el7sat.noarch

Steps:
1. Provision/have a Host.
2. Create a Compliance policy.
3. Go to Hosts > All Hosts Page.
4. Select a Host, click on 'Select Action' dropdown button.
5. Select 'Assign Compliance Policy' option from dropdown.
6. Choose Compliancy policy you want to assign to host.
7. Click Submit.

Observation:
- Able to assign/unassign Compliance policy.

Comment 12 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.